Description: new method
--- a/lib/Software/License.pm
+++ b/lib/Software/License.pm
@@ -6,6 +6,7 @@
 $Software::License::VERSION = '0.103014';
 use Data::Section -setup => { header_re => qr/\A__([^_]+)__\Z/ };
 use Text::Template ();
+use Carp;
 
 #pod =head1 SYNOPSIS
 #pod
@@ -73,6 +74,13 @@
 
 sub notice { shift->_fill_in('NOTICE') }
 
+sub summary {
+    my ($self,$distro) = @_;
+    carp "summary method is deprecated. Please use Software::LicenseMoreUtils";
+    $distro ||= 'debian' ;
+    $self->_fill_in(uc($distro).'-SUMMARY');
+}
+
 #pod =method license
 #pod
 #pod This method returns the full text of the license.
@@ -277,6 +285,15 @@
 copyright holder and year of copyright, as well as an indication of the license
 under which the software is distributed.
 
+=head2 summary
+
+This method returns a summary of the license. This summary must refer
+to a file containing the whole license. On Debian system, the file
+containing the whole license will be in C</usr/share/common-licenses/>
+directory. (Available only on Debian. This method is deprecated and
+will be removed in Debian Buster.  Please use
+L<Software::LicenseMoreUtils>)
+
 =head2 license
 
 This method returns the full text of the license.
